package repositories

import "github.com/dungnt11/senflow_app/internal/models"

// IUserRepository định nghĩa interface cho UserRepository
type IUserRepository interface {
	Create(user *models.User) error
	FindByID(id uint) (*models.User, error)
	FindByUsername(username string) (*models.User, error)
	Update(user *models.User) error
	Delete(id uint) error
}

// IProductRepository định nghĩa interface cho ProductRepository
type IProductRepository interface {
	Create(product *models.Product) error
	FindByID(id uint) (*models.Product, error)
	FindAll() ([]*models.Product, error)
	Update(product *models.Product) error
	Delete(id uint) error
}

// Các interface khác có thể được thêm vào đây khi cần thiết
