package product

import (
	"github.com/dungnt11/senflow_app/internal/controllers"
	"github.com/gin-gonic/gin"
)

// InitProductRoutes khởi tạo các routes cho product
func InitProductRoutes(router *gin.RouterGroup, productController controllers.IProductController) {
	productRoutes := router.Group("/products")
	{
		productRoutes.POST("", productController.CreateProduct)
		productRoutes.GET("", productController.GetAllProducts)
		productRoutes.GET("/:id", productController.GetProduct)
		productRoutes.PUT("/:id", productController.UpdateProduct)
		productRoutes.DELETE("/:id", productController.DeleteProduct)
	}
}
