package routers

import (
	"github.com/dungnt11/senflow_app/internal/controllers"
	"github.com/dungnt11/senflow_app/internal/routers/product"
	"github.com/dungnt11/senflow_app/internal/routers/user"
	"github.com/gin-gonic/gin"
)

// InitRouters khởi tạo tất cả các routers
func InitRouters(r *gin.Engine, controllers *controllers.Controllers) {
	// API v1
	apiV1 := r.Group("/api/v1")

	// Khởi tạo các routes
	user.InitUserRoutes(apiV1, controllers.UserController)
	product.InitProductRoutes(apiV1, controllers.ProductController)

	// Các routes khác có thể được thêm vào đây
}
