package user

import (
	"github.com/dungnt11/senflow_app/internal/controllers"
	"github.com/gin-gonic/gin"
)

// InitUserRoutes khởi tạo các routes liên quan đến user
func InitUserRoutes(router *gin.RouterGroup, userController controllers.IUserController) {
	userGroup := router.Group("/users")
	{
		userGroup.POST("/register", userController.Register)
		userGroup.POST("/login", userController.Login)
		userGroup.GET("/profile", userController.GetProfile)
		userGroup.PUT("/profile", userController.UpdateProfile)
	}
}
