package services

import "github.com/gin-gonic/gin"

// IUserService định nghĩa interface cho UserService
type IUserService interface {
	Register(c *gin.Context) (map[string]interface{}, error)
	Login(c *gin.Context) (map[string]interface{}, error)
	GetProfile(userID uint) (map[string]interface{}, error)
	UpdateProfile(userID uint, data map[string]interface{}) (map[string]interface{}, error)
}

// IProductService định nghĩa interface cho ProductService
type IProductService interface {
	CreateProduct(c *gin.Context) (map[string]interface{}, error)
	GetProduct(id uint) (map[string]interface{}, error)
	GetAllProducts() (map[string]interface{}, error)
	UpdateProduct(id uint, c *gin.Context) (map[string]interface{}, error)
	DeleteProduct(id uint) (map[string]interface{}, error)
}

// Các interface khác có thể được thêm vào đây khi cần thiết
